Currently Online

Latest Posts

Topic: If Add-On makes widelands crash with Segmentation Fault: Is this also an error in widelands itself?

dreieck
Avatar
Topic Opener
Joined: 2018-08-25, 11:48
Posts: 67
OS: Artix GNU/Linux
Version: -git
Ranking
Likes to be here
Location: Germany
Posted at: 2022-11-18, 14:15

Ahoj,

I came back to Widelands recently after a few years, and I see that versioning changed from 2x to 1.x and with this you have now official stable releases :-).

And there is now the new Add-On-System.

I have a question:

When widelands (stable release 1.1 as well as latest git build 1.2+git... crashes with a Segmentation Fault when some Add-On is enabled, is this, besides a problem with the Add-On, also a bug directly in widelands to be reported directly to widelands?

Shouldn't a buggy Ad-On make widelands maybe behaving errorneously and terminating the game and throwing an error, but not in a way that a segmentation fault occurs?

Regards!


(empty signature.)

Top Quote
Nordfriese
Avatar
Joined: 2017-01-17, 18:07
Posts: 1747
OS: Ubuntu MATE 22.10
Version: Latest master
Ranking
One Elder of Players
Location: 0x55555d3a34c0
Posted at: 2022-11-18, 15:41

Yes, invalid scripting should be caught and an error message displayed. If Widelands crashes completely please report that as a bug.


Top Quote
dreieck
Avatar
Topic Opener
Joined: 2018-08-25, 11:48
Posts: 67
OS: Artix GNU/Linux
Version: -git
Ranking
Likes to be here
Location: Germany
Posted at: 2023-01-06, 21:17

Nordfriese wrote:

Yes, invalid scripting should be caught and an error message displayed. If Widelands crashes completely please report that as a bug.

Sorry, I cannot reproduce it anymore (no update of widelands, but update of Addons, especially the European Tribe was downloading a lot).

If I remember correctly, it was triggered on the first "White Summer"-map, and maybe using the European tribe back then, maybe with the "trading outpost" starting condition (which currently gives me a lua scripting error in a window within the game).

Now I did not (yet) find a way to trigger the problem anymore, but since I did not update widelands itself within my installation at least the problem should still be there.

Edited: 2023-01-06, 21:24

(empty signature.)

Top Quote